Summary:        A documentation generator
Name:           python-twisted-lore
Version: 0.2.0
Release: %mkrel 1
Source0:        http://tmrc.mit.edu/mirror/twisted/Lore/0.2/TwistedLore-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/projects/lore/
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel python-twisted-core
#BuildArch:      noarch
Requires:       python-twisted-core
# for docbook, lmath, etc
Requires:       python-twisted-web

%description
Twisted Lore is the documentation generator of the Twisted matrix
framework.
%prep
%setup -q -n TwistedLore-%version

%build
%__python setup.py build

%install
%__rm -rf %buildroot
%__python setup.py install --root  %buildroot --install-purelib=%py_platsitedir 

%__install -d                      %buildroot%_mandir/man1
%__install -m 644 doc/man/*.1      %buildroot%_mandir/man1

%clean
%__rm -rf %buildroot

%files
%defattr(0755,root,root,0755)
%_bindir/*
%defattr(0644,root,root,0755)
%doc LICENSE README doc/*
%py_platsitedir/twisted/lore/
%py_platsitedir/twisted/plugins/*
%_mandir/man1/*

%changelog
* Mon May 29 2006 Michael Scherer <misc@mandriva.org> 0.2.0-1mdv2007.0
- 0.2.0 
- fix url

* Mon Feb 06 2006 Michael Scherer <misc@mandriva.org> 0.1.0-3mdk
- remove noarch tagging, use macro

* Sun May 15 2005 Michael Scherer <misc@mandriva.org> 0.1.0-2mdk
- fix requires
 
* Sat May 14 2005 Michael Scherer <misc@mandriva.org> 0.1.0-1mdk
- Initial package
